"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const stream_1 = require("stream");
const alias_resolver_1 = require("./alias-resolver");
module.exports = (root = '.', aliases = {}) => {
    const aliasResolver = alias_resolver_1.AliasResolver.create(root, aliases);
    return new stream_1.Transform({
        readableObjectMode: true,
        writableObjectMode: true,
        transform: (chunk, encoding, cb) => {
            try {
                const content = aliasResolver.resolve(chunk.history[0], chunk.contents.toString('utf-8'));
                chunk.contents = Buffer.from(content);
                cb(null, chunk);
            }
            catch (err) {
                cb(err);
            }
        },
    });
};
//# sourceMappingURL=gulp.js.map